package com.securitycontrol.system.api.domain.decision;

import java.util.List;


/**
 * @author HeiZi
 */
public class SysMenu {

    private String menuId;

    private String menuName;

    private String url;

    private boolean isLast;
    
    private String menuAuth;

    private String icon;

    private List<SysMenu> childer;

    public boolean isLast() {
        return isLast;
    }

    public void setLast(boolean last) {
        isLast = last;
    }

    public String getMenuId() {
        return menuId;
    }

    public void setMenuId(String menuId) {
        this.menuId = menuId;
    }

    public String getMenuName() {
        return menuName;
    }

    public void setMenuName(String menuName) {
        this.menuName = menuName;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getMenuAuth() {
        return menuAuth;
    }

    public void setMenuAuth(String menuAuth) {
        this.menuAuth = menuAuth;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public List<SysMenu> getChilder() {
        return childer;
    }

    public void setChilder(List<SysMenu> childer) {
        this.childer = childer;
    }
}
